## Function template wrap_formatter

boost::log::expressions::wrap_formatter

## Synopsis

    // In header: <boost/log/expressions/formatters/wrap_formatter.hpp>

    template<typename CharT, typename FunT>
      wrapped_formatter_actor< FunT, CharT > wrap_formatter(FunT const & fun);

## Description

The function wraps a function object in order it to be able to participate in formatting expressions. The wrapped function object must be compatible with the following signature:

<preformatted> void (record_view const&, basic_formatting_ostream< CharT >&) </preformatted>

where `CharT` is the character type of the formatting expression.